=== debian/changelog ===
kscreenlocker (5.18.4.1-0ubuntu1) focal; urgency=medium

  * New upstream release (5.18.4.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 02 Apr 2020 19:46:26 +0100

kscreenlocker (5.18.3-0ubuntu1) focal; urgency=medium

  * New upstream release (5.18.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 10 Mar 2020 18:07:51 +0000

kscreenlocker (5.18.2-0ubuntu1) focal; urgency=medium

  * New upstream release (5.18.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 25 Feb 2020 18:30:02 +0000

kscreenlocker (5.18.1-0ubuntu1) focal; urgency=medium

  * New upstream release (5.18.1)

 -- Rik Mills <rikmills@kde.org>  Tue, 18 Feb 2020 14:36:51 +0000

kscreenlocker (5.18.0-0ubuntu2) focal; urgency=medium

  * Follow Debian unstable drop of testsuite.

 -- Rik Mills <rikmills@kde.org>  Mon, 17 Feb 2020 17:43:09 +0000

kscreenlocker (5.18.0-0ubuntu1) focal; urgency=medium

  * New upstream release (5.18.0)

 -- Rik Mills <rikmills@kde.org>  Tue, 11 Feb 2020 07:44:10 +0000

kscreenlocker (5.17.90-0ubuntu2) focal; urgency=medium

  * Merge changes from debian 5.17.5-1. Remaining changes:
    - New upstream (beta) release (5.17.90)
    - debian/control:
      + Kubuntu Vcs fields.
      + Bump KF5 build depends to upstream minimum 5.66.0
    - Keep lintian overrides
    - debian/tests: Keep files, but disable until can be dropped
      in next unstable release.
    - debian/meta/cmake-ignore: Keep config for Kububtu CI.

 -- Rik Mills <rikmills@kde.org>  Mon, 20 Jan 2020 08:23:44 +0000

kscreenlocker (5.17.90-0ubuntu1) focal; urgency=medium

  * New upstream (beta) release (5.17.90)

 -- Rik Mills <rikmills@kde.org>  Thu, 16 Jan 2020 18:08:05 +0000

kscreenlocker (5.17.5-1) experimental; urgency=medium

  * Team upload.

  [ Maximiliano Curia ]
  * New upstream release (5.16.5).
  * Update build-deps and deps with the info from cmake
  * Salsa CI automatic initialization by Tuco

  [ Pino Toscano ]
  * New upstream release.
  * Update the build dependencies according to the upstream build system:
    - bump KF packages to 5.62.0
    - remove unused libkf5kdelibs4support-dev, and libkf5plasma-dev
    - explicitly add gettext
  * Drop the 'testsuite' autopkgtest, as it does not test the installed
    packages.
  * Update the patches:
    - send_password_once.patch: drop, fixed upstream
  * Switch from the debhelper build dependency to debhelper-compat
    - remove debian/compat
  * Use the ${perl:Depends} substvar in kde-config-screenlocker.
  * Bump Standards-Version to 4.4.1, no changes required.
  * Remove empty line at the end of changelog.

 -- Pino Toscano <pino@debian.org>  Sun, 12 Jan 2020 14:30:49 +0100

kscreenlocker (5.17.5-0ubuntu1) focal; urgency=medium

  * New upstream release (5.17.5)

 -- Rik Mills <rikmills@kde.org>  Wed, 08 Jan 2020 06:44:41 +0000

kscreenlocker (5.17.4-0ubuntu1) focal; urgency=medium

  * New upstream release (5.17.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 03 Dec 2019 19:23:57 +0000

kscreenlocker (5.17.3-0ubuntu1) focal; urgency=medium

  * New upstream release (5.17.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 12 Nov 2019 17:04:46 +0000

kscreenlocker (5.17.2-0ubuntu1) focal; urgency=medium

  * New upstream (beta) release (5.16.90)
  * New upstream release (5.17.0)
  * New upstream release (5.17.1)
  * New upstream release (5.17.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 31 Oct 2019 17:50:00 +0000

kscreenlocker (5.14.5-2) unstable; urgency=medium

  [ Maximiliano Curia ]
  * New revision
  * Salsa CI automatic initialization by Tuco
  * Add patch: send_password_once.patch.
    Thanks to Jason Franklin (Closes: 934185)
  * Drop kde-l10n breaks/replaces, fixed versions already in stable
  * Drop old breaks/replaces, fixed versions already in stable
  * Bump debhelper build-dep and compat to 12.
  * Bump Standards-Version to 4.4.0.
  * Build with hardening bindnow
  * Release to unstable

  [ Scarlett Gately Moore ]
  * Add psmisc Depends as 'killall' is used in postinst and it needs to be
    installed. (Closes: 911052)

  [ Scarlett Clark ]
  * Move psmisc to Pre-Depends as per Debian policy.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 27 Sep 2019 17:16:49 -0700
