=== debian/control ===
Source: kscreenlocker
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.0~),
               debhelper-compat (= 12),
               extra-cmake-modules (>= 5.66.0~),
               gettext,
               libkf5crash-dev (>= 5.66.0~),
               libkf5declarative-dev (>= 5.66.0~),
               libkf5globalaccel-dev (>= 5.66.0~),
               libkf5i18n-dev (>= 5.66.0~),
               libkf5idletime-dev (>= 5.66.0~),
               libkf5kcmutils-dev (>= 5.66.0~),
               libkf5notifications-dev (>= 5.66.0~),
               libkf5solid-dev (>= 5.66.0~),
               libkf5textwidgets-dev (>= 5.66.0~),
               libkf5wayland-dev (>= 4:5.5.1~),
               libkf5windowsystem-dev (>= 5.66.0~),
               libkf5xmlgui-dev (>= 5.66.0~),
               libpam0g-dev,
               libqt5x11extras5-dev (>= 5.12.0~),
               libseccomp-dev,
               libwayland-dev (>= 1.3~),
               libx11-dev,
               libxcb-keysyms1-dev,
               libxcb-xtest0-dev,
               libxcb1-dev,
               libxcursor-dev,
               libxi-dev,
               pkg-config,
               pkg-kde-tools,
               qtbase5-dev (>= 5.12.0~),
               qtdeclarative5-dev (>= 5.12.0~),
Standards-Version: 4.4.1
Homepage: https://projects.kde.org/kscreenlocker
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kscreenlocker
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kscreenlocker

Package: kde-config-screenlocker
Architecture: any
Depends: libkscreenlocker5 (= ${binary:Version}),
         ${misc:Depends},
         ${perl:Depends},
         ${shlibs:Depends},
Description: KCM Module for kscreenlocker
 KDE systemsettings module to configure kscreenlocker

Package: kscreenlocker-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkscreenlocker5 (= ${binary:Version}),
         ${misc:Depends},
Description: Development files for kscreenlocker
 Library and components for secure lock screen architecture.
 .
 This package contains development files for kscreenlocker.

Package: libkscreenlocker5
Architecture: any
Pre-Depends: psmisc
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: kde-config-screenlocker
Multi-Arch: same
Description: Secure lock screen architecture
 Library and components for secure lock screen architecture.
