=== debian/control ===
--- 
+++ 
@@ -5,20 +5,20 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 3.0~),
                debhelper-compat (= 12),
-               extra-cmake-modules (>= 5.66.0~),
+               extra-cmake-modules (>= 5.70.0~),
                gettext,
-               libkf5crash-dev (>= 5.66.0~),
-               libkf5declarative-dev (>= 5.66.0~),
-               libkf5globalaccel-dev (>= 5.66.0~),
-               libkf5i18n-dev (>= 5.66.0~),
-               libkf5idletime-dev (>= 5.66.0~),
-               libkf5kcmutils-dev (>= 5.66.0~),
-               libkf5notifications-dev (>= 5.66.0~),
-               libkf5solid-dev (>= 5.66.0~),
-               libkf5textwidgets-dev (>= 5.66.0~),
-               libkf5wayland-dev (>= 4:5.5.1~),
-               libkf5windowsystem-dev (>= 5.66.0~),
-               libkf5xmlgui-dev (>= 5.66.0~),
+               libkf5crash-dev (>= 5.70.0~),
+               libkf5declarative-dev (>= 5.70.0~),
+               libkf5globalaccel-dev (>= 5.70.0~),
+               libkf5i18n-dev (>= 5.70.0~),
+               libkf5idletime-dev (>= 5.70.0~),
+               libkf5kcmutils-dev (>= 5.70.0~),
+               libkf5notifications-dev (>= 5.70.0~),
+               libkf5solid-dev (>= 5.70.0~),
+               libkf5textwidgets-dev (>= 5.70.0~),
+               libkf5wayland-dev (>= 4:5.70.0~),
+               libkf5windowsystem-dev (>= 5.70.0~),
+               libkf5xmlgui-dev (>= 5.70.0~),
                libpam0g-dev,
                libqt5x11extras5-dev (>= 5.12.0~),
                libseccomp-dev,
