## kscreenlocker 5.20.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,14 +1,14 @@
 cmake_minimum_required(VERSION 3.0)
 
 project(kscreenlocker)
-set(PROJECT_VERSION "5.18.4")
+set(PROJECT_VERSION "5.20.5")
 set(PROJECT_VERSION_MAJOR 5)
 
-set(QT_MIN_VERSION "5.12.0")
-set(KF5_MIN_VERSION "5.66.0")
-find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS DBus Widgets Quick QuickWidgets Test)
+set(QT_MIN_VERSION "5.15.0")
+set(KF5_MIN_VERSION "5.74")
+find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS DBus Widgets Quick Test)
 find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
-set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})
+set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake ${ECM_MODULE_PATH} )
 
 include(KDEInstallDirs)
 include(KDECMakeSettings)
@@ -55,10 +55,8 @@
                     GlobalAccel
                     I18n
                     IdleTime
-                    KCMUtils
                     Notifications
                     Solid
-                    TextWidgets
                     WindowSystem
                     XmlGui
                     )
@@ -114,15 +112,6 @@
 
 option(PAM_REQUIRED "Require building with PAM" ON)
 
-find_package(Seccomp)
-set_package_properties(Seccomp PROPERTIES
-    TYPE
-        OPTIONAL
-    PURPOSE
-        "Used for putting the look'n'feel package in the greeter into a sandbox."
-)
-set(HAVE_SECCOMP ${Seccomp_FOUND})
-
 include(ConfigureChecks.cmake)
 
 configure_file(config-workspace.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-workspace.h)
@@ -146,9 +135,12 @@
 
 set(KSLD_INCLUDEDIR "${CMAKE_INSTALL_INCLUDEDIR}/KScreenLocker")
 
+include(ECMQtDeclareLoggingCategory)
+
 add_subdirectory(kcheckpass)
 add_subdirectory(greeter)
 add_subdirectory(kcm)
+add_subdirectory(settings)
 
 add_definitions(-DTRANSLATION_DOMAIN=\"kscreenlocker\")
 
@@ -167,11 +159,21 @@
    waylandserver.cpp
    powermanagement.cpp
    powermanagement_inhibition.cpp
-   kscreensaversettings.cpp
-)
+)
+
+ecm_qt_declare_logging_category(ksld_SRCS
+    HEADER
+        kscreenlocker_logging.h
+    IDENTIFIER
+        KSCREENLOCKER
+    CATEGORY_NAME
+        kscreenlocker
+    DEFAULT_SEVERITY
+        Critical
+)
+
 qt5_add_dbus_adaptor(ksld_SRCS ${screensaver_dbusXML} interface.h ScreenLocker::Interface)
 qt5_add_dbus_adaptor(ksld_SRCS ${kscreensaver_dbusXML} interface.h ScreenLocker::Interface kscreensaveradaptor KScreenSaverAdaptor)
-kconfig_add_kcfg_files(ksld_SRCS kcfg/kscreensaversettingsbase.kcfgc)
 qt5_add_dbus_interface(ksld_SRCS ${powerdevilpolicyagent_xml} powerdevilpolicyagent)
 
 ecm_add_wayland_server_protocol(ksld_SRCS
@@ -186,6 +188,7 @@
    Qt5::Core
    Qt5::X11Extras
 PRIVATE
+   settings
    Qt5::DBus
    KF5::I18n
    KF5::IdleTime
