=== debian/changelog ===
kscreenlocker (5.20.5-1) unstable; urgency=medium

  [ Pino Toscano ]
  * Remove the unused libseccomp-dev build dependency.
  * Bump Standards-Version to 4.5.1, no changes required.
  * Remove empty line at the beginning of copyright.

  [ Norbert Preining ]
  * New upstream release (5.20.5).

 -- Norbert Preining <norbert@preining.info>  Wed, 06 Jan 2021 23:50:51 +0900

kscreenlocker (5.20.4-2) unstable; urgency=medium

  * Release to unstable.

 -- Norbert Preining <norbert@preining.info>  Tue, 22 Dec 2020 11:04:36 +0900

kscreenlocker (5.20.4-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.20.4).
  * Update list of installed files.

 -- Norbert Preining <norbert@preining.info>  Wed, 09 Dec 2020 14:17:31 +0900

kscreenlocker (5.19.5-5) UNRELEASED; urgency=medium

  * Fix "kwin cannot start due to missing libkscreenunlocker5 symbols"
  A symbols file was introduced this release in packaging,
  in transition an ABI breakage was exposed in kwin-common.
  To resolve: added a Breaks to kwin-common < this release
  to ensure the new version is installed to avoid the
  ABI breakage. Thanks to Norb for suggestion. (Closes: #974538)

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Fri, 13 Nov 2020 10:48:58 -0700

kscreenlocker (5.19.5-4) unstable; urgency=medium

  [ Scarlett Moore ]
  * Revert libexec changes as is has adverse effects. This applies
    to library helpers.

 -- Norbert Preining <norbert@preining.info>  Tue, 10 Nov 2020 04:24:00 +0900

kscreenlocker (5.19.5-3) unstable; urgency=medium

  [ Scarlett Moore ]
  * Update d/upstream/metadata.
   - Add missing Bug-Database.
   - Remove obsolete fields already defined in
     d/copyright.
   - Update repo urls to invent.kde.org.
   - Update changelog to announcements.
  * Add set -e to maint script. (lintian)
  * Extend the extended description. (lintian)
  * Add libkscreenlocker symbols file. (lintian)

 -- Norbert Preining <norbert@preining.info>  Fri, 06 Nov 2020 08:37:22 +0900

kscreenlocker (5.19.5-2) experimental; urgency=medium

  * Rebuild for Qt 5.15

 -- Norbert Preining <norbert@preining.info>  Mon, 02 Nov 2020 09:27:40 +0900

kscreenlocker (5.19.5-1) experimental; urgency=medium

  [ Scarlett Moore ]
  * New upstream release (5.19.5).

  [ Norbert Preining ]
  * Add Patrick and myself to uploaders.

 -- Norbert Preining <norbert@preining.info>  Mon, 19 Oct 2020 13:28:55 +0900

kscreenlocker (5.19.4-1) experimental; urgency=medium

  * Team upload.

  [ Scarlett Moore ]
  * Bump compat level to 13.
  * Add Rules-Requires-Root field to control.
  * New upstream release (5.18.5).
  * Update build-deps and deps with the info from cmake.
  * Add myself to Uploaders.
  * Remove not needed injection of linker flags.
  * Update Homepage link to point to new invent.kde.org
  * Update field Source in debian/copyright to invent.kde.org move.
  * Set/Update field Upstream-Contact in debian/copyright.

  [ Norbert Preining ]
  * New upstream release (5.19.4).
  * Remove Maximiliano from Uploaders as requested on IRC.
  * Update Qt build-deps to 5.14 according to cmake.
  * Change maintainer in d/control to Debian Qt/KDE Maintainers.

 -- Pino Toscano <pino@debian.org>  Sat, 29 Aug 2020 22:28:07 +0200

kscreenlocker (5.17.5-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.
  * Bump Standards-Version to 4.5.0, no changes required.

 -- Pino Toscano <pino@debian.org>  Fri, 14 Feb 2020 20:46:48 +0100
