## kscreenlocker 5.21.4

=== debian/changelog ===
kscreenlocker (5.21.4-0ubuntu1) hirsute; urgency=medium

  * New upstream bugfix and translation release (5.21.4)

 -- Rik Mills <rikmills@kde.org>  Wed, 07 Apr 2021 11:09:26 +0100

kscreenlocker (5.21.3-0ubuntu2) hirsute; urgency=medium

  * Mark symbols as optional that are not seen when building with lto.

 -- Rik Mills <rikmills@kde.org>  Mon, 29 Mar 2021 17:09:13 +0100

kscreenlocker (5.21.3-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.21.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 16 Mar 2021 20:33:25 +0000

kscreenlocker (5.21.2-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.21.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 02 Mar 2021 14:12:22 +0000

kscreenlocker (5.21.1-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.21.1)

 -- Rik Mills <rikmills@kde.org>  Tue, 23 Feb 2021 15:05:55 +0000

kscreenlocker (5.21.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.21.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 17 Feb 2021 14:21:37 +0000

kscreenlocker (5.20.90-0ubuntu1) hirsute; urgency=medium

  * New upstream (beta) release (5.20.90)
  * Remove libkscreenunlocker5 breaks on kwin-common > 5.20.70~

 -- Rik Mills <rikmills@kde.org>  Thu, 21 Jan 2021 23:44:39 +0000
