=== debian/control ===
--- 
+++ 
@@ -33,7 +33,7 @@
                pkg-config,
                pkg-kde-tools,
                qtbase5-dev (>= 5.15.0~),
-               qtdeclarative5-dev (>= 5.15.0~)
+               qtdeclarative5-dev (>= 5.15.0~),
 Standards-Version: 4.5.1
 Homepage: https://invent.kde.org/plasma/kscreenlocker
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kscreenlocker.git
@@ -65,7 +65,8 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkscreenlocker5 (= ${binary:Version}), ${misc:Depends}
+Depends: libkscreenlocker5 (= ${binary:Version}),
+         ${misc:Depends},
 Description: Development files for kscreenlocker
  KDE systemsettings module to configure kscreenlocker.
  .
@@ -85,7 +86,7 @@
 Architecture: any
 Pre-Depends: psmisc
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Breaks: kwin-common (<< 4:5.20), kwin-common (>> 4:5.20.70~)
+Breaks: kwin-common (<< 4:5.20)
 Recommends: kde-config-screenlocker
 Multi-Arch: same
 Description: Secure lock screen architecture
