=== debian/control ===
--- 
+++ 
@@ -7,20 +7,21 @@
            Norbert Preining <norbert@preining.info>
 Build-Depends: cmake (>= 3.0~),
                debhelper-compat (= 13),
-               extra-cmake-modules (>= 5.74~),
+               extra-cmake-modules (>= 5.82.0~),
                gettext,
-               libkf5crash-dev (>= 5.74~),
-               libkf5declarative-dev (>= 5.74~),
-               libkf5globalaccel-dev (>= 5.74~),
-               libkf5i18n-dev (>= 5.74~),
-               libkf5idletime-dev (>= 5.74~),
-               libkf5kcmutils-dev (>= 5.66.0~),
-               libkf5notifications-dev (>= 5.74~),
-               libkf5solid-dev (>= 5.74~),
-               libkf5textwidgets-dev (>= 5.66.0~),
-               libkf5wayland-dev (>= 4:5.5.1~),
-               libkf5windowsystem-dev (>= 5.74~),
-               libkf5xmlgui-dev (>= 5.74~),
+               libkf5crash-dev (>= 5.82.0~),
+               libkf5declarative-dev (>= 5.82.0~),
+               libkf5globalaccel-dev (>= 5.82.0~),
+               libkf5i18n-dev (>= 5.82.0~),
+               libkf5idletime-dev (>= 5.82.0~),
+               libkf5kcmutils-dev (>= 5.82.0~),
+               libkf5notifications-dev (>= 5.82.0~),
+               libkf5solid-dev (>= 5.82.0~),
+               libkf5textwidgets-dev (>= 5.82.0~),
+               libkf5wayland-dev (>= 4:5.82.0~),
+               libkf5windowsystem-dev (>= 5.82.0~),
+               libkf5xmlgui-dev (>= 5.82.0~),
+               liblayershellqtinterface-dev (>= 5.22.5~),
                libpam0g-dev,
                libqt5x11extras5-dev (>= 5.15.0~),
                libwayland-dev (>= 1.3~),
